View Issue Details

IDProjectCategoryView StatusLast Update
0005435Talerexchangepublic2019-03-11 03:50
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005435: curl handle initialization should be de-duplicated
DescriptionWe pretty much have the same code everywhere to set up the curl easy handle. This makes it hard to change options for every request.

There should be some function that sets up the curl handle, and we should use this for the exchange-lib (and probably the merchant stuff too).
TagsNo tags attached.

Activities

Christian Grothoff

2018-09-24 11:09

manager   ~0013253

Assigning to Florian, as AFAIK he already did this, right?

Christian Grothoff

2019-03-11 03:50

manager   ~0014180

This was implemented some time ago.

Issue History

Date Modified Username Field Change
2018-09-21 20:06 Florian Dold New Issue
2018-09-21 20:06 Florian Dold Status new => assigned
2018-09-21 20:06 Florian Dold Assigned To => Christian Grothoff
2018-09-24 11:09 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2018-09-24 11:09 Christian Grothoff Note Added: 0013253
2018-09-24 11:09 Christian Grothoff Severity minor => tweak
2018-09-24 11:09 Christian Grothoff Product Version => SVN HEAD
2018-11-18 00:39 Christian Grothoff Target Version => 0.6
2019-03-11 03:50 Christian Grothoff Status assigned => resolved
2019-03-11 03:50 Christian Grothoff Resolution open => fixed
2019-03-11 03:50 Christian Grothoff Fixed in Version => 0.6
2019-03-11 03:50 Christian Grothoff Note Added: 0014180